Create Secret

View as Markdown
Create a new secret.

Path parameters

workspacestringRequired

Request

This endpoint expects an object.
namestringRequiredformat: "^[a-z](?!.*--)[a-z0-9\-@.+_]{1,62}(?<!-)$"<=63 characters

The name of the secret to create. Name must start with a lowercase letter, be 2-63 characters, and use lowercase letters, digits, hyphens, and dots (no consecutive hyphens, cannot end with a hyphen).

valuestringRequiredformat: "password"
The payload of the secret
descriptionstringOptional
An optional description of the secret

Response

Successful Response
namestring
The name of the secret
workspacestring
The workspace ID the secret belongs to
descriptionstringOptional
An optional description of the secret
created_atdatetimeOptional
updated_atdatetimeOptional

Errors

422
Unprocessable Entity Error